# MetaOutput Class Reference
[MetaConfiguration's base classes]

List of all members.

## Public Member Functions

| __construct (TextOutput $out)
| getOutput ()
| newLine ()
| log ($text, $bold=false)
| logLine ($text, $bold=false)
| info ($text, $bold=false)
| infoLine ($text, $bold=false)
| warning ($text)
| warningLine ($text)
| error ($text, $bold=false)
| errorLine ($text, $bold=false)
| remark ($text)
| remarkLine ($text)

## Private Member Functions

| defaultText ($text, $color, $bold)
| defaultTextLine ($text, $color, $bold)

## Private Attributes

| $out = null

## Detailed Description

Definition at line 15 of file MetaOutput.class.php.

## Constructor & Destructor Documentation

MetaOutput::__construct | ( | TextOutput $ | out | ) |

Definition at line 19 of file MetaOutput.class.php.

## Member Function Documentation

MetaOutput::defaultText | ( | $ | text,
|  | $ | color,
|  | $ | bold |
| ) |  |  | `[private]`

Returns:
  MetaOutput

Definition at line 125 of file MetaOutput.class.php.

References ConsoleMode::ATTR_BOLD, ConsoleMode::ATTR_RESET_ALL, and ConsoleMode::BG_BLACK.

Referenced by error(), info(), log(), remark(), and warning().

MetaOutput::defaultTextLine | ( | $ | text,
|  | $ | color,
|  | $ | bold |
| ) |  |  | `[private]`

Returns:
  MetaOutput

Definition at line 144 of file MetaOutput.class.php.

References ConsoleMode::ATTR_BOLD, ConsoleMode::ATTR_RESET_ALL, and ConsoleMode::BG_BLACK.

Referenced by errorLine(), infoLine(), logLine(), remarkLine(), and warningLine().

MetaOutput::error | ( | $ | text,
|  | $ | bold = `false` |
| ) |  |  |

Returns:
  MetaOutput

Definition at line 93 of file MetaOutput.class.php.

References defaultText(), and ConsoleMode::FG_RED.

Here is the call graph for this function:

MetaOutput::errorLine | ( | $ | text,
|  | $ | bold = `false` |
| ) |  |  |

Returns:
  MetaOutput

Definition at line 101 of file MetaOutput.class.php.

References defaultTextLine(), and ConsoleMode::FG_RED.

Here is the call graph for this function:

MetaOutput::getOutput | ( |  | ) |

Returns:
  TextOutput

Definition at line 27 of file MetaOutput.class.php.

MetaOutput::info | ( | $ | text,
|  | $ | bold = `false` |
| ) |  |  |

Returns:
  MetaOutput

Definition at line 61 of file MetaOutput.class.php.

References defaultText(), and ConsoleMode::FG_GREEN.

Here is the call graph for this function:

MetaOutput::infoLine | ( | $ | text,
|  | $ | bold = `false` |
| ) |  |  |

Returns:
  MetaOutput

Definition at line 69 of file MetaOutput.class.php.

References defaultTextLine(), and ConsoleMode::FG_GREEN.

Here is the call graph for this function:

MetaOutput::log | ( | $ | text,
|  | $ | bold = `false` |
| ) |  |  |

Returns:
  MetaOutput

Definition at line 45 of file MetaOutput.class.php.

References defaultText(), and ConsoleMode::FG_WHITE.

Here is the call graph for this function:

MetaOutput::logLine | ( | $ | text,
|  | $ | bold = `false` |
| ) |  |  |

Returns:
  MetaOutput

Definition at line 53 of file MetaOutput.class.php.

References defaultTextLine(), and ConsoleMode::FG_WHITE.

Here is the call graph for this function:

MetaOutput::newLine | ( |  | ) |

Returns:
  MetaOutput

Definition at line 35 of file MetaOutput.class.php.

MetaOutput::remark | ( | $ | text | ) |

Returns:
  MetaOutput

Definition at line 109 of file MetaOutput.class.php.

References defaultText(), and ConsoleMode::FG_BLUE.

Here is the call graph for this function:

MetaOutput::remarkLine | ( | $ | text | ) |

Returns:
  MetaOutput

Definition at line 117 of file MetaOutput.class.php.

References defaultTextLine(), and ConsoleMode::FG_BLUE.

Here is the call graph for this function:

MetaOutput::warning | ( | $ | text | ) |

Returns:
  MetaOutput

Definition at line 77 of file MetaOutput.class.php.

References defaultText(), and ConsoleMode::FG_BROWN.

Here is the call graph for this function:

MetaOutput::warningLine | ( | $ | text | ) |

Returns:
  MetaOutput

Definition at line 85 of file MetaOutput.class.php.

References defaultTextLine(), and ConsoleMode::FG_BROWN.

Here is the call graph for this function:

## Member Data Documentation

MetaOutput::$out = null`[private]`

Definition at line 17 of file MetaOutput.class.php.

The documentation for this class was generated from the following file:

- meta/classes/MetaOutput.class.php